| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iBodyGroup Struct Reference

Body Group is a collection of bodies which don't collide with each other. More...

`#include <ivaria/dynamics.h>`

Inheritance diagram for iBodyGroup:

[legend]
List of all members.

## Public Member Functions
virtual void | AddBody (iRigidBody *body)=0
| Adds a body to this group.
virtual bool | BodyInGroup (iRigidBody *body)=0
| Tells whether the body is in this group or not.
virtual void | RemoveBody (iRigidBody *body)=0
| Removes a body from this group.

## Detailed Description

Body Group is a collection of bodies which don't collide with each other.

This can speed up processing by manually avoiding certain collisions. For instance if you have a car built of many different bodies. The bodies can be collected into a group and the car will be treated as a single object.

Main creators of instances implementing this interface:

- iDynamicSystem::CreateGroup()

Main ways to get pointers to this interface:

- iRigidBody::GetGroup()

Main users of this interface:

- iDynamicSystem

Definition at line 337 of file dynamics.h.

## Member Function Documentation

virtual void iBodyGroup::AddBody | ( | iRigidBody * | body | ) | `[pure virtual]`

Adds a body to this group.

virtual bool iBodyGroup::BodyInGroup | ( | iRigidBody * | body | ) | `[pure virtual]`

Tells whether the body is in this group or not.

virtual void iBodyGroup::RemoveBody | ( | iRigidBody * | body | ) | `[pure virtual]`

Removes a body from this group.

The documentation for this struct was generated from the following file:

- ivaria/dynamics.h